Bug 215386 - RFE: pm-suspend and pm-hibernate should print an error message if /sys/power/state or /sys/power/disk do not exist
RFE: pm-suspend and pm-hibernate should print an error message if /sys/power/...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pm-utils (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-11-13 14:18 EST by Till Maas
Modified: 2015-03-04 20:17 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-24 11:39:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Till Maas 2006-11-13 14:18:40 EST
Description of problem:

pm-suspend and pm-hibernate should print an error message when /sys/power/disk
or /sys/power/state are not found but needed, e.g. "Error: you need
/sys/power/disk to use pm-hibernate"
Comment 1 Phil Knirsch 2007-01-24 11:39:13 EST
Related to #214407 i'll be doing something a little better. In case of suspend
we only really need /sys/power/state, only for hibernate do we need also
/sys/power/disk so i'll move those checks to the appropriate places and print
out an error when they don't exist.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.